package com.ifish.entity;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 获取金币规则
 * @author Administrator
 *
 */
@Entity
@Table(name="tbl_gold_task")
public class GoldTask implements Serializable{
	
	private static final long serialVersionUID = -3681549432190225803L;
	/**
	 * 规则类型
	 */
	@Id
	@Column(name="task_type",nullable=false,length=20)
	private String ruleType;
	/**
	 * 规则名称
	 */
	@Column(name="task_name",nullable=false,length=20)
	private String ruleName;
	/**
	 * 增加金币值
	 */
	@Column(name="add_value",nullable=false,precision=3,scale=2)
	private BigDecimal addValue;
	/**
	 * 加成类型(once:一次,everyDay:每天,everyTime:每次)
	 */
	@Column(name="add_type",nullable=false,length=20)
	private String addType;
	/**
	 * 是否返回app显示(1:是,0:否)
	 */
	@Column(name="state",nullable=false,length=1)
	private String state;
	/**
	 * 排序字段
	 */
	@Column(name="order_num")
	private Integer orderNum;
	/**
	 * 任务描述
	 */
	@Column(name="task_remark",nullable=false,length=50)
	private String ruleRemark;
	
	public String getRuleType() {
		return ruleType;
	}
	public void setRuleType(String ruleType) {
		this.ruleType = ruleType;
	}
	public String getRuleName() {
		return ruleName;
	}
	public void setRuleName(String ruleName) {
		this.ruleName = ruleName;
	}
	public BigDecimal getAddValue() {
		return addValue;
	}
	public void setAddValue(BigDecimal addValue) {
		this.addValue = addValue;
	}
	public String getAddType() {
		return addType;
	}
	public void setAddType(String addType) {
		this.addType = addType;
	}
	public String getState() {
		return state;
	}
	public void setState(String state) {
		this.state = state;
	}
	public String getRuleRemark() {
		return ruleRemark;
	}
	public void setRuleRemark(String ruleRemark) {
		this.ruleRemark = ruleRemark;
	}
	public Integer getOrderNum() {
		return orderNum;
	}
	public void setOrderNum(Integer orderNum) {
		this.orderNum = orderNum;
	}
	
}
